﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.outlookBar1.ItemsSource = new MyDataSource();
		}
	}

	public class MyContentTemplateSelector : DataTemplateSelector
	{
		public DataTemplate contenttemplate1 { get; set; }
		public DataTemplate contenttemplate2 { get; set; }
		public override DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container)
		{

			if (object.ReferenceEquals(item, container))
				return null;

			MyOutlookBarItem i = item as MyOutlookBarItem;

			if ((i.iTitleString.Contains("1")) || (i.iTitleString.Contains("3")) || (i.iTitleString.Contains("5")))
			{
				return contenttemplate1;
			}
			else
			{
				return contenttemplate2;
			}
		}
	}

	public class MyDataSource : ObservableCollection<MyOutlookBarItem>
	{
		public MyDataSource()
		{
			this.Add(new MyOutlookBarItem() { iTitleString = "Item 1", ItemContent = "1" });
			this.Add(new MyOutlookBarItem() { iTitleString = "Item 2", ItemContent = "2" });
			this.Add(new MyOutlookBarItem() { iTitleString = "Item 3", ItemContent = "3" });
			this.Add(new MyOutlookBarItem() { iTitleString = "Item 4", ItemContent = "4" });
			this.Add(new MyOutlookBarItem() { iTitleString = "Item 5", ItemContent = "5" });
		}
	}

	public class MyOutlookBarItem
	{
		public string iTitleString { get; set; }
		public object ItemContent { get; set; }
	}
}
